Bug 7047 - configure.in not correctly handling samba_cv_linux_getgrouplist_ok for cross compiling
configure.in not correctly handling samba_cv_linux_getgrouplist_ok for cross ...
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Build environment
3.4.4
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-18 22:36 UTC by Richard Sharpe
Modified: 2010-02-04 04:20 UTC (History)
2 users (show)

See Also:


Attachments
Add cross option to samba_cv_linux_getgrouplist_ok; v3-5-test version (922 bytes, patch)
2010-01-20 06:02 UTC, Lars Müller
lars: review? (rsharpe)
lmuelle: review+
Details
Add cross option to samba_cv_linux_getgrouplist_ok; v3-4-test version (847 bytes, patch)
2010-01-20 08:42 UTC, Lars Müller
lars: review? (rsharpe)
lmuelle: review-
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Sharpe 2010-01-18 22:36:05 UTC
The Samba 3.4.4 configure.in is incorrect with respect to cross compiling handling for samba_cv_linux_getgrouplist_ok.

Something like the following patch should be applied:

diff -u samba-3.4.4/source3/configure.in
CompileArea/samba-3.4.4/source3/configure.in
--- samba-3.4.4/source3/configure.in    2010-01-04 05:01:25.000000000 -0800
+++ CompileArea/samba-3.4.4/source3/configure.in        2010-01-14
14:54:52.000000000 -0800
@@ -1243,7 +1243,9 @@
 #endif
       exit(0);
 }
-], [linux_getgrouplist_ok=yes], [linux_getgrouplist_ok=no])
+], [linux_getgrouplist_ok=yes],
+   [linux_getgrouplist_ok=no],
+   [linux_getgrouplist_ok=cross])
       if test x"$linux_getgrouplist_ok" = x"yes"; then
          AC_DEFINE(HAVE_GETGROUPLIST, 1, [Have good getgrouplist])
       fi

I am told that the same is true of Samba 3.5.
Comment 1 Richard Sharpe 2010-01-18 22:37:31 UTC
Lars wants me to assign this bug to him but I am not sure I can do that.

Here is Lars' comment:

I modified your patch to fit into the slightly changed code of master
(samba_cv_linux_getgrouplist_ok instead of linux_getgrouplist_ok).

But then I found that linux_getgrouplist_ok=cross had been there in the
past already.  It got removed with e5a95132 and I believe the removal
happened accidentl while moving into direction of 3.2.

@Jerry: could you please check if my assumption is right or if I've
missed the point?

@Richard: if my assumption is correct and we unintentionally lost the
code please file one bug for 3.4 and 3.5 as you need a review ack in
bugzilla to get the change merged.  As I already had an eye on the stuff
feel free to ass me as reviewer.
Comment 2 Kai Blin 2010-01-19 17:16:15 UTC
Assigning to Lars. For me, there's a "reassign bug to [       ]" field below. :)
Comment 3 Lars Müller 2010-01-20 06:02:41 UTC
Created attachment 5208 [details]
Add cross option to samba_cv_linux_getgrouplist_ok; v3-5-test version
Comment 4 Lars Müller 2010-01-20 08:42:53 UTC
Created attachment 5210 [details]
Add cross option to samba_cv_linux_getgrouplist_ok; v3-4-test version
Comment 5 Richard Sharpe 2010-01-20 15:25:38 UTC
Hmmm, I am not authorized to edit the attachments, it seems.

However, the patches look correct to me.
Comment 6 Lars Müller 2010-01-29 08:25:22 UTC
Comment on attachment 5208 [details]
Add cross option to samba_cv_linux_getgrouplist_ok; v3-5-test version

Please review.
Comment 7 Lars Müller 2010-01-29 08:25:46 UTC
Comment on attachment 5210 [details]
Add cross option to samba_cv_linux_getgrouplist_ok; v3-4-test version

Please review.
Comment 8 Lars Müller 2010-01-29 08:35:38 UTC
Comment on attachment 5208 [details]
Add cross option to samba_cv_linux_getgrouplist_ok; v3-5-test version

Testing of the attachment review feature.

This is a +1
Comment 9 Lars Müller 2010-01-29 08:36:04 UTC
Comment on attachment 5210 [details]
Add cross option to samba_cv_linux_getgrouplist_ok; v3-4-test version

Testing of the attachment review feature.

This is a -1.

Test only!
Comment 10 Lars Müller 2010-01-29 08:42:11 UTC
Passing issue to Karolin to merge attachment #5210 [details] into 3.4 branch and attachment #5208 [details] into 3.5.
Comment 11 Karolin Seeger 2010-02-04 04:20:33 UTC
Pushed to both branches.
Closing out bug report.

Thanks!